Bug 43792 - Feature proposal - bind phase
Summary: Feature proposal - bind phase
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_auth_ldap (show other bugs)
Version: 2.0.61
Hardware: All FreeBSD
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL: http://tchorbadjiev.com/patches/httpd...
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2007-11-04 09:58 UTC by Assen Tchorbadjiev
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments
the patch (6.28 KB, patch)
2007-11-04 09:58 UTC, Assen Tchorbadjiev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Assen Tchorbadjiev 2007-11-04 09:58:05 UTC
Hello,
The patch adds two more optional configuration directives to the mod_auth_ldap
module - 
AuthLDAPBindUserSuppliedAuth On/Off
AuthLDAPBindSuffixDN String

The idea is to allow the user supplied credentials to be used for the initial
bind phase, instead of the hard coded ones or anonymous. In my case the LDAP
directory cannot be searched w/o successful authentication and for
administrative reasons we cannot afford to keep the user/pass pair in the
configuration file.

The patch does not change the way, the actual authentication & following checks
made by the module work, but only make it fallback to the user supplied
user/pass pair on the 2x bind calls.

Please let me know whether this is considered a worthy feature at all, and I'll
be happy to provide a cleaner patch.
Comment 1 Assen Tchorbadjiev 2007-11-04 09:58:54 UTC
Created attachment 21084 [details]
the patch
Comment 2 Peter Thomas 2010-03-16 15:39:29 UTC
Orthogonal to your suggested patch, but a possible alternative:  Can you use mutual SASL authentication over SSL/TLS as an alternative to a hard-coded or dynamic binddn and password?
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:01 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.